using System;
using System.Diagnostics;

namespace CSF.MySQL.TraceIssue
{
    public class DetectingTraceListener : TraceListener
    {
        #region fields

        private bool _hasReceivedInput;

        #endregion

        #region properties

        public bool HasReceivedInput
        {
            get {
                return _hasReceivedInput;
            }
        }

        #endregion

        #region implemented abstract members of System.Diagnostics.TraceListener

        public override void Write (string message)
        {
            _hasReceivedInput = true;
        }

        public override void WriteLine (string message)
        {
            _hasReceivedInput = true;
        }

        #endregion

        #region constructor

        public DetectingTraceListener()
        {
          _hasReceivedInput = false;
        }

        #endregion
    }
}

